<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>
        <!-- Top menu item -->
        <menuitem name="Voylla Warehouse"
                id="menu_voylla_warehouse" groups="group_voylla_warehouse_user"/>
        <menuitem id="menu_move_product" name="Move Product"
            parent="menu_voylla_warehouse" sequence="4"/>

             <record id="view_move_form_warehouse_picked3" model="ir.ui.view">
            <field name="name">warehouse.picklist.form</field>
            <field name="model">warehouse.picklist</field>
            <field eval="15" name="priority"/>
            <field name="arch" type="xml">
                <form string="Picked Items">
                    <header>
                            <button name="discrepancy_check" string="Discrepancy Check" type="object" class="oe_highlight"/>

                        </header>
                    <sheet>

                        <group>
                            <field name="picklist_name"  options="{'limit': 1, 'create': false, 'create_edit': false}" on_change="onchange_picklist_name(picklist_name)"/>
                            <field name="scan" on_change="move_to_outbound1(picklist_name,scan,total_products_remaining,total_line_items,context)"/>
                        </group>
                        <group>
                            <group>
                            <field name="total_line_items"/>
                        </group>
                        <group>
                            <field name="total_products_remaining"/>
                            </group>
                        </group>
                        <group>
                            <field name="picklist_id">
                                <tree string="Extra Addresses" editable="bottom">
                                <field name="sku"/>
                                <field name="ean"/>
                                <field name="size"/>
                                <field name="mrp"/>
                                <field name="batch_id"/>
                                <field name="order_id"/>
                            </tree>
                            </field>
                        </group>

                    </sheet>
                </form>
            </field>
        </record>


         <record id="view_move_tree_warehouse_picked3" model="ir.ui.view">
            <field name="name">warehouse.picklist.tree</field>
            <field name="model">warehouse.picklist</field>
            <field eval="15" name="priority"/>
            <field name="arch" type="xml">
                <tree string="Picked Items" edit="false">
                    <field name="picklist_name">
                    </field>


                </tree>
            </field>
        </record>

        <record id="action_warehouse_picked2" model="ir.actions.act_window">
            <field name='name'>Move Picked Products To Outbound</field>
            <field name='res_model'>warehouse.picklist</field>
            <field name='view_type'>form</field>
            <field name="view_id" ref="view_move_form_warehouse_picked3"/>  
            <field name='view_mode'>form,tree</field>
        </record>

        <menuitem action="action_warehouse_picked2" id="menu_action_warehouse_picked2" parent="menu_move_product"/>
              

       <!--  <record id="view_move_form_warehouse_picked2" model="ir.ui.view">
            <field name="name">order.picklist.picked</field>
            <field name="model">outbound.picklist</field>
            <field eval="15" name="priority"/>
            <field name="arch" type="xml">
                <form string="Picked Items" edit="false">
                    <sheet>
                        <h3>
                            <label for="picklist_name" string="Picklist Name" class="oe_edit_only"/>
                            <field name="picklist_name" placeholder="scan bar code" class="oe_inline" on_change="onchange_picklist_name(picklist_name)"/>
                            
                        </h3>
                        <h6>
                            <label for='total_line_items' string="Total Line Items"/>
                            <field name="total_line_items" readonly='1'/> -->
                            <!-- <label for='total_line_items' string="Total Line Items"/>
                            <field name="total_line_items" readonly='1'/>
                            remaining_line_items -->



                        <!-- </h6>
                        
                        <field name="product_id">
                            <tree string="Extra Addresses" editable="bottom"> -->
                                <!-- <field name= "sl_no" readonly='1' /> -->
                                <!-- <field name="scan" on_change="move_to_outbound1(oid,scan,context)" context="{'res_id': active_id}" />
                                <field name="sku" readonly='1'/>
                                <field name="size" readonly='1'/>
                                <field name="mrp" readonly='1'/>
                                <field name="batch_id" readonly='1'/>
                                <field name="ean" readonly='1'/>
                                <field name="order_id" readonly='1'/>
                                
                        </tree>    
                        </field>
                        
                    </sheet>
                </form>
            </field>
        </record> -->

       <!--  <record id="action_warehouse_picked" model="ir.actions.act_window">
            <field name='name'>Move Picked Products To Outbound</field>
            <field name='res_model'>outbound.picklist</field>
            <field name='view_type'>form</field>
            <field name="view_id" ref="view_move_form_warehouse_picked2"/>  
            <field name='view_mode'>form</field>
        </record>

        <menuitem action="action_warehouse_picked" id="menu_action_warehouse_picked" parent="menu_move_product"/> -->


                

             

        
         <record id="view_form_move_from_warehouse_inbound" model="ir.ui.view">
            <field name="name">stock.move.form.warehouse2inbound</field>
            <field name="model">stock.move</field>
            <field eval="1" name="priority"/>
            <field name="arch" type="xml">
                <form string="Stock Moves">
                <header>
                    <button name="action_confirm" states="draft" string="Process" type="object" class="oe_highlight"/>
                    <!-- <button name="action_done" states="draft,assigned,confirmed" string="Process Entirely" type="object" class="oe_highlight"/>
                    <button name="force_assign" states="confirmed" string="Set Available" type="object" class="oe_highlight"/> -->
                    <button name="action_cancel" states="draft,assigned,confirmed" string="Cancel Move" type="object"/>
                    <field name="state" widget="statusbar" statusbar_visible="draft,confirmed,assigned,done" statusbar_colors='{"waiting":"blue","confirmed":"blue"}'/>
                </header>
                <sheet>
                    <group>
                        <group name="main_grp" colspan="4">
                            <group name="main_grp_col1">
                                <field name="product_id" on_change="onchange_product_id(product_id,location_id,location_dest_id, False)" widget="selection" options="{'limit': 10, 'create': false, 'create_edit': false}"/>
                                <label for="product_uom_qty"/>
                                <div>
                                    <field name="product_uom_qty"
                                        on_change="onchange_quantity(product_id, product_uom_qty, product_uom, product_uos)"
                                        class="oe_inline"/>
                                    <field name="product_uom" groups="product.group_uom" class="oe_inline"/>
                                    <button name="%(stock.move_scrap)d"
                                            string="Scrap" type="action"
                                            icon="terp-gtk-jump-to-ltr" context="{'scrap': True}"
                                            states="draft,waiting,confirmed,assigned" colspan="1"/>
                                </div>
                                <field name="name"/>
                                <label for="product_uos_qty" groups="product.group_uos"/>
                                <div groups="product.group_uos">
                                    <field name="product_uos_qty"
                                        on_change="onchange_uos_quantity(product_id, product_uos_qty, product_uos, product_uom)"
                                        class="oe_inline"/>
                                    <field name="product_uos" class="oe_inline"/>
                                </div>
                            </group>
                            <group name="main_grp_col2">
                                <field name="picking_type_id"/>
                                <field name="priority"/>
                                <field name="company_id" groups="base.group_multi_company" widget="selection"/>
                                <field name="date_expected" on_change="onchange_date(date,date_expected)" attrs="{'invisible': [('state', '=', 'done')]}"/>
                                <field name="date" attrs="{'invisible': [('state', '!=', 'done')]}"/>
                            </group>
                        </group>
                        <group name="origin_grp" string="Origin">
                            <field name="origin"/>
                            <field name="location_id" domain= "[('location_id','=',28)]" widget="selection" options="{'create': false, 'create_edit': false}" groups="stock.group_locations"/>
                            <field name="picking_id" domain="[('picking_type_id','=',picking_type_id)]"/>
                            <field name="create_date" groups="base.group_no_one"/>
                            <field name="procure_method" attrs="{'readonly': [('state', '!=', 'draft')]}" groups="stock.group_adv_location"/>
                            <field name="group_id"/>
                        </group>
                        <group name="destination_grp" string="Destination" groups="stock.group_locations">
                            <field name="location_dest_id" domain= "[('id','=',7)]" widget="selection" options="{'create': false, 'create_edit': false}"/>
                            <field name="partner_id" context="{'contact_display':'partner'}" />
                        </group>
                        <group name="quants_grp" string="Reserved Quants" colspan="4" groups="base.group_no_one">
                            <field name="reserved_quant_ids"/>
                        </group>
                    </group>
                </sheet>
                </form>
            </field>
        </record>


        <record id="view_move_form_warehouse_outbound" model="ir.ui.view">
            <field name="name">stock.move.form.warehouse2outbound</field>
            <field name="model">stock.move</field>
            <field eval="1" name="priority"/>
            <field name="arch" type="xml">
                <form string="Stock Moves">
                <header>
                    <button name="action_confirm" states="draft" string="Process" type="object" class="oe_highlight"/>
                    <!-- <button name="action_done" states="draft,assigned,confirmed" string="Process Entirely" type="object" class="oe_highlight"/>
                    <button name="force_assign" states="confirmed" string="Set Available" type="object" class="oe_highlight"/> -->
                    <button name="action_cancel" states="draft,assigned,confirmed" string="Cancel Move" type="object"/>
                    <field name="state" widget="statusbar" statusbar_visible="draft,confirmed,assigned,done" statusbar_colors='{"waiting":"blue","confirmed":"blue"}'/>
                </header>
                <sheet>
                    <group>
                        <group name="main_grp" colspan="4">
                            <group name="main_grp_col1">
                                <field name="product_id" on_change="onchange_product_id(product_id,location_id,location_dest_id, False)" widget="selection" options="{'limit': 10, 'create': false, 'create_edit': false}"/>
                                <label for="product_uom_qty"/>
                                <div>
                                    <field name="product_uom_qty"
                                        on_change="onchange_quantity(product_id, product_uom_qty, product_uom, product_uos)"
                                        class="oe_inline"/>
                                    <field name="product_uom" groups="product.group_uom" class="oe_inline"/>
                                    <button name="%(stock.move_scrap)d"
                                            string="Scrap" type="action"
                                            icon="terp-gtk-jump-to-ltr" context="{'scrap': True}"
                                            states="draft,waiting,confirmed,assigned" colspan="1"/>
                                </div>
                                <field name="name"/>
                                <label for="product_uos_qty" groups="product.group_uos"/>
                                <div groups="product.group_uos">
                                    <field name="product_uos_qty"
                                        on_change="onchange_uos_quantity(product_id, product_uos_qty, product_uos, product_uom)"
                                        class="oe_inline"/>
                                    <field name="product_uos" class="oe_inline"/>
                                </div>
                            </group>
                            <group name="main_grp_col2">
                                <field name="picking_type_id"/>
                                <field name="priority"/>
                                <field name="company_id" groups="base.group_multi_company" widget="selection"/>
                                <field name="date_expected" on_change="onchange_date(date,date_expected)" attrs="{'invisible': [('state', '=', 'done')]}"/>
                                <field name="date" attrs="{'invisible': [('state', '!=', 'done')]}"/>
                            </group>
                        </group>
                        <group name="origin_grp" string="Origin">
                            <field name="origin"/>
                            <field name="location_id" domain= "[('location_id','=',28)]" widget="selection" options="{'create': false, 'create_edit': false}" groups="stock.group_locations"/>
                            <field name="picking_id" domain="[('picking_type_id','=',picking_type_id)]"/>
                            <field name="create_date" groups="base.group_no_one"/>
                            <field name="procure_method" attrs="{'readonly': [('state', '!=', 'draft')]}" groups="stock.group_adv_location"/>
                            <field name="group_id"/>
                        </group>
                        <group name="destination_grp" string="Destination" groups="stock.group_locations">
                            <field name="location_dest_id" domain= "[('id','=',20)]" widget="selection" options="{'create': false, 'create_edit': false}"/>
                            <field name="partner_id" context="{'contact_display':'partner'}" />
                        </group>
                        <group name="quants_grp" string="Reserved Quants" colspan="4" groups="base.group_no_one">
                            <field name="reserved_quant_ids"/>
                        </group>
                    </group>
                </sheet>
                </form>
            </field>
        </record>


  <record id="view_move_form_warehouse_rejectionbin" model="ir.ui.view">
            <field name="name">stock.move.form.warehouse2rejectionbin</field>
            <field name="model">stock.move</field>
            <field eval="1" name="priority"/>
            <field name="arch" type="xml">
                <form string="Stock Moves">
                <header>
                    <button name="action_confirm" states="draft" string="Process" type="object" class="oe_highlight"/>
                    <!-- <button name="action_done" states="draft,assigned,confirmed" string="Process Entirely" type="object" class="oe_highlight"/>
                    <button name="force_assign" states="confirmed" string="Set Available" type="object" class="oe_highlight"/> -->
                    <button name="action_cancel" states="draft,assigned,confirmed" string="Cancel Move" type="object"/>
                    <field name="state" widget="statusbar" statusbar_visible="draft,confirmed,assigned,done" statusbar_colors='{"waiting":"blue","confirmed":"blue"}'/>
                </header>
                <sheet>
                    <group>
                        <group name="main_grp" colspan="4">
                            <group name="main_grp_col1">
                                <field name="product_id" on_change="onchange_product_id(product_id,location_id,location_dest_id, False)" widget="selection" options="{'limit': 10, 'create': false, 'create_edit': false}"/>
                                <label for="product_uom_qty"/>
                                <div>
                                    <field name="product_uom_qty"
                                        on_change="onchange_quantity(product_id, product_uom_qty, product_uom, product_uos)"
                                        class="oe_inline"/>
                                    <field name="product_uom" groups="product.group_uom" class="oe_inline"/>
                                    <button name="%(stock.move_scrap)d"
                                            string="Scrap" type="action"
                                            icon="terp-gtk-jump-to-ltr" context="{'scrap': True}"
                                            states="draft,waiting,confirmed,assigned" colspan="1"/>
                                </div>
                                <field name="name"/>
                                <label for="product_uos_qty" groups="product.group_uos"/>
                                <div groups="product.group_uos">
                                    <field name="product_uos_qty"
                                        on_change="onchange_uos_quantity(product_id, product_uos_qty, product_uos, product_uom)"
                                        class="oe_inline"/>
                                    <field name="product_uos" class="oe_inline"/>
                                </div>
                            </group>
                            <group name="main_grp_col2">
                                <field name="picking_type_id"/>
                                <field name="priority"/>
                                <field name="company_id" groups="base.group_multi_company" widget="selection"/>
                                <field name="date_expected" on_change="onchange_date(date,date_expected)" attrs="{'invisible': [('state', '=', 'done')]}"/>
                                <field name="date" attrs="{'invisible': [('state', '!=', 'done')]}"/>
                            </group>
                        </group>
                        <group name="origin_grp" string="Origin">
                            <field name="origin"/>
                            <field name="location_id" domain= "[('id','=',29)]" widget="selection" options="{'create': false, 'create_edit': false}" groups="stock.group_locations"/>
                            <field name="picking_id" domain="[('picking_type_id','=',picking_type_id)]"/>
                            <field name="create_date" groups="base.group_no_one"/>
                            <field name="procure_method" attrs="{'readonly': [('state', '!=', 'draft')]}" groups="stock.group_adv_location"/>
                            <field name="group_id"/>
                        </group>
                        <group name="destination_grp" string="Destination" groups="stock.group_locations">
                            <field name="location_dest_id" domain= "[('id','=',31)]" widget="selection" options="{'create': false, 'create_edit': false}"/>
                            <field name="partner_id" context="{'contact_display':'partner'}" />
                        </group>
                        <group name="quants_grp" string="Reserved Quants" colspan="4" groups="base.group_no_one">
                            <field name="reserved_quant_ids"/>
                        </group>
                    </group>
                </sheet>
                </form>
            </field>
        </record>




      
        <!-- <menuitem id="menu_more_product" name="Move Product"
            parent="menu_voylla_warehouse" sequence="4"/>   
 -->

            <record id="action_reception_picking_move_inbound" model="ir.actions.act_window">
            <field name="name">Move Product To Inbound</field>
            <field name="res_model">stock.move</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">['|','&amp;',('location_id','=',10),('picking_id','=',False),('location_id.usage', 'in', ['customer','supplier']),'&amp;',('picking_id','!=',False),('picking_id.type','=','in')]</field>
            <field name="view_id" ref="view_form_move_from_warehouse_inbound"/>
            <field name="context">{'product_receive': True, 'search_default_future': True, 'picking_type': 'in'}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to Create a product movement. 
              </p><p>
                Here you can receive individual products, no matter what
                purchase order or picking order they come from. You will find
                the list of all products you are waiting for. Once you receive
                an order, you can filter based on the name of the supplier or
                the purchase order reference. Then you can confirm all products
                received using the buttons on the right of each line.
              </p>
            </field>
        </record>
      <menuitem action="action_reception_picking_move_inbound" id="menu_action_picking_tree_in_move_inbound"
            parent="menu_move_product" sequence="11"/>


            <record id="action_reception_picking_move_rejectionbin" model="ir.actions.act_window">
            <field name="name">Move Product To Rejection Bin</field>
            <field name="res_model">stock.move</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">['|','&amp;',('location_id','=',10),('picking_id','=',False),('location_id.usage', 'in', ['customer','supplier']),'&amp;',('picking_id','!=',False),('picking_id.type','=','in')]</field>
            <field name="view_id" ref="view_move_form_warehouse_rejectionbin"/>
            <field name="context">{'product_receive': True, 'search_default_future': True, 'picking_type': 'in'}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to Create a product movement. 
              </p><p>
                Here you can receive individual products, no matter what
                purchase order or picking order they come from. You will find
                the list of all products you are waiting for. Once you receive
                an order, you can filter based on the name of the supplier or
                the purchase order reference. Then you can confirm all products
                received using the buttons on the right of each line.
              </p>
            </field>
        </record>
      <menuitem action="action_reception_picking_move_rejectionbin" id="menu_action_picking_tree_in_move_rejectionbin"
            parent="menu_move_product" sequence="11"/>
             


<record id="action_reception_picking_move_outbound" model="ir.actions.act_window">
            <field name="name">Move Product To Outbound</field>
            <field name="res_model">stock.move</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">['|','&amp;',('location_id','=',10),('picking_id','=',False),('location_id.usage', 'in', ['customer','supplier']),'&amp;',('picking_id','!=',False),('picking_id.type','=','in')]</field>
            <field name="view_id" ref="view_move_form_warehouse_outbound"/>
            <field name="context">{'product_receive': True, 'search_default_future': True, 'picking_type': 'in'}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to Create a product movement. 
              </p><p>
                Here you can receive individual products, no matter what
                purchase order or picking order they come from. You will find
                the list of all products you are waiting for. Once you receive
                an order, you can filter based on the name of the supplier or
                the purchase order reference. Then you can confirm all products
                received using the buttons on the right of each line.
              </p>
            </field>
        </record>
      <menuitem action="action_reception_picking_move_outbound" id="menu_action_picking_tree_in_move_outbound"
            parent="menu_move_product" sequence="11"/>
             
             

    <!--Invoice control-->


      <!-- Product menu-->
      

     

      

       
<menuitem id="menu_stock_inventory_control" name="Inventory Control" parent="menu_voylla_warehouse" sequence="7"/>

<record id="view_location_tree" model="ir.ui.view">
            <field name="name">stock.location.tree</field>
            <field name="model">stock.location</field>
            <field name="field_parent">child_ids</field>
            <field name="arch" type="xml">
                <tree toolbar="1" string="Locations" >
                    <field icon="icon" name="name"/>
                </tree>
            </field>
        </record>

        <menuitem id="menu_location_structure" parent="menu_voylla_warehouse" name="Location Structure"/>


            <menuitem id="menu_history_moves" parent="menu_voylla_warehouse" name="Stock Movement"/>


       
        

       <record id="history_move_tree_sent1" model="ir.ui.view">
            <field name="name">stock.move.tree.sent</field>
            <field name="model">stock.move</field>
            <field eval="8" name="priority"/>
            <field name="arch" type="xml">
                <tree colors="grey:state == 'cancel';red:(state not in ('cancel','done')) and date > current_date" string="Moves" create="false">
                    <field name="name"/>
                    <field name="picking_id" string="Reference"/>
                    <field name="origin"/>
                    <field name="picking_type_id"/>
                    <field name="create_date" invisible="1" groups="base.group_no_one"/>
                    <field name="product_id" on_change="onchange_product_id(product_id,location_id,location_dest_id, False)"/>
                    <field name="product_uom_qty" on_change="onchange_quantity(product_id, product_uom_qty, product_uom, product_uos)"/>
                    <field name="product_uom" string="Unit of Measure" groups="product.group_uom"/>
                    <field name="product_uos_qty" groups="product.group_uos"/>
                    <field name="product_uos" groups="product.group_uos"/>
                    
                    <field name="location_id" groups="stock.group_locations"/>
                    <field name="location_dest_id" groups="stock.group_locations"/>
                    <field name="date" groups="base.group_no_one"/>
                    <field name="date_expected"/>
                    <field name="state"/>
                    </tree>
            </field>
        </record>


        <record id="history_move_tree_receive1" model="ir.ui.view">
            <field name="name">stock.move.tree</field>
            <field name="model">stock.move</field>
            <field eval="8" name="priority"/>
            <field name="arch" type="xml">
                <tree colors="grey:state == 'cancel';red:(state not in ('cancel','done')) and date > current_date" string="Moves" create="false">
                    <field name="name"/>
                    <field name="picking_id" string="Reference"/>
                    <field name="origin"/>
                    <field name="picking_type_id"/>
                    <field name="create_date" invisible="1" groups="base.group_no_one"/>
                    <field name="product_id" on_change="onchange_product_id(product_id,location_id,location_dest_id, False)"/>
                    <field name="product_uom_qty" on_change="onchange_quantity(product_id, product_uom_qty, product_uom, product_uos)"/>
                    <field name="product_uom" string="Unit of Measure" groups="product.group_uom"/>
                    <field name="product_uos_qty" groups="product.group_uos"/>
                    <field name="product_uos" groups="product.group_uos"/>
                    
                    <field name="location_id" groups="stock.group_locations"/>
                    <field name="location_dest_id" groups="stock.group_locations"/>
                    <field name="date" groups="base.group_no_one"/>
                    <field name="date_expected"/>
                    <field name="state"/>
                    <button name="action_done" states="confirmed,assigned" string="Process" type="object" 
                            groups="stock.group_stock_user" icon="gtk-go-forward" help="Done"/>
                </tree>
            </field>
        </record>

        

        <record id="history_move_search" model="ir.ui.view">
            <field name="name">stock.move.search</field>
            <field name="model">stock.move</field>
            <field eval="3" name="priority"/>
            <field name="arch" type="xml">
                <search string="Stock Moves">
                    <field name="origin" filter_domain="['|', '|', ('origin', 'ilike', self), ('name', 'ilike', self), ('picking_id', 'ilike', self)]" string="Reference"/>
                    <field name="date" groups="base.group_no_one"/>

                    <filter icon="terp-camera_test" string="Ready" name="ready" domain="[('state','=','assigned')]" help="Stock moves that are Available (Ready to process)"/>
                    <filter icon="terp-stock" string="To Do" name="future" domain="[('state','in',('assigned','confirmed','waiting'))]" help="Stock moves that are Confirmed, Available or Waiting"/>
                    <filter icon="terp-dialog-close" string="Done" name="done" domain="[('state','=','done')]" help="Stock moves that have been processed"/>
                    <separator/>
                    <filter icon="terp-go-today" string="Today" domain="[('date','&lt;=',time.strftime('%%Y-%%m-%%d 23:59:59')),('date','&gt;=',time.strftime('%%Y-%%m-%%d 00:00:00'))]" help="Orders processed Today or planned for Today"/>
                    <field name="product_id"/>
                    <field name="name" string="Location" filter_domain="['|',('location_id','ilike',self),('location_dest_id','ilike',self)]"/>
                    <field name="partner_id" string="Partner"  filter_domain="[('picking_id.partner_id','child_of',self)]"/>
                    <group expand="0" string="Group By">
                        <filter string="Product" name="by_product" icon="terp-accessories-archiver" domain="[]"  context="{'group_by':'product_id'}"/>
                        <filter string="Picking" name="groupby_picking_id" icon="terp-accessories-archiver" domain="[]"  context="{'group_by':'picking_id'}"/>
                        <filter string="Source" name="groupby_location_id" icon="terp-gtk-jump-to-rtl" domain="[]" context="{'group_by':'location_id'}" groups="stock.group_locations"/>
                        <filter string="Destination" name="groupby_dest_location_id" icon="terp-gtk-jump-to-ltr" domain="[]" context="{'group_by':'location_dest_id'}" groups="stock.group_locations"/>
                        <filter icon="terp-stock_effects-object-colorize" string="Status" domain="[]" context="{'group_by':'state'}"/>
                        <filter string="Creation" name="groupby_create_date" icon="terp-go-month" domain="[]" context="{'group_by':'create_date'}" groups="base.group_no_one"/>
                        <filter string="Scheduled" name="groupby_date" icon="terp-go-month" domain="[]" context="{'group_by':'date_expected'}"/>
                    </group>
                </search>
            </field>
        </record>

        

        

        <record id="action_move_sent1" model="ir.actions.act_window">
            <field name="name">Sent Products</field>
            <field name="res_model">stock.move</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="domain">[('location_id','child_of',28)]</field>
            <field name="view_mode">tree</field>
            <field name="view_id" ref="history_move_tree_sent1"/>
            <field name="search_view_id" ref="history_move_search"/>
            <field name="context">{}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to create a stock movement.
              </p><p>
                This menu gives you the full traceability of inventory
                operations on a specific product. You can filter on the product
                to see all the past or future movements for the product.
              </p>
            </field>
        </record>
         <menuitem action="action_move_sent1" id="menu_action_move_content5"
            parent="menu_history_moves" sequence="12"/>
     


        <record id="action_move_receive1" model="ir.actions.act_window">
            <field name="name">Receive Products</field>
            <field name="res_model">stock.move</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree</field>
            <field name="domain">['|',('location_dest_id','child_of',28),('location_dest_id','=',31)]</field>
            <field name="view_id" ref="history_move_tree_receive1"/>
            <field name="search_view_id" ref="history_move_search"/>
            <field name="context">{}</field>

            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to create a stock movement.
              </p><p>
                This menu gives you the full traceability of inventory
                operations on a specific product. You can filter on the product
                to see all the past or future movements for the product.
              </p>
            </field>
        </record>
         <menuitem action="action_move_receive1" id="menu_action_move_content8"
            parent="menu_history_moves" sequence="12"/>
        <record id="action_move_receive_manu" model="ir.actions.act_window">
            <field name="name">Receive In ManuFacturing Bin Products</field>
            <field name="res_model">stock.move</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree</field>
            <field name="domain">[('location_dest_id','=',84)]</field>
            <field name="view_id" ref="history_move_tree_receive1"/>
            <field name="search_view_id" ref="history_move_search"/>
            <field name="context">{}</field>

            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to create a stock movement.
              </p><p>
                This menu gives you the full traceability of inventory
                operations on a specific product. You can filter on the product
                to see all the past or future movements for the product.
              </p>
            </field>
        </record>
         <menuitem action="action_move_receive_manu" id="menu_action_move_content_manu"
            parent="menu_history_moves" sequence="10"/>



        <record id="view_location_warehouse" model="ir.ui.view">
            <field name="name">stock.location.warehouse</field>
            <field name="model">stock.location</field>
            <field name="inherit_id" ref="stock.view_location_tree2"/>
            <field name="priority">4</field>
            <field name="arch" type="xml">
                <field name="complete_name"/>
            </field>
                
        </record>    



            <record id="action_location_form12" model="ir.actions.act_window">
            <field name="name">Warehouse Locations</field>
            <field name="res_model">stock.location</field>
            <field name="type">ir.actions.act_window</field>
            <!-- <field name="domain">[('location_id','child_of',28)]</field> -->
            <field name="view_type">form</field>
            <field name="view_id" ref="view_location_warehouse"/>
            <field name="search_view_id" ref="stock.view_location_search"/>
            <field name="context">{'search_default_in_location':1}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to add a location.
              </p><p>
                Define your locations to reflect your warehouse structure and
                organization. Odoo is able to manage physical locations
                (warehouses, shelves, bin, etc), partner locations (customers,
                suppliers) and virtual locations which are the counterpart of
                the stock operations like the manufacturing orders
                consumptions, inventories, etc.
              </p><p>  
                Every stock operation in Odoo moves the products from one
                location to another one.  For instance, if you receive products
                from a supplier, Odoo will move products from the Supplier
                location to the Stock location. Each report can be performed on
                physical, partner or virtual locations.
              </p>
            </field>
        </record>
        <menuitem action="action_location_form12" id="menu_action_location_form12" groups="stock.group_locations"
            parent="menu_location_structure" sequence="5"/>

         <record id="view_location_form_inherit" model="ir.ui.view">
            <field name="name">stock.location.form.inherit</field>
            <field name="model">stock.location</field>
            <field name="inherit_id" ref="stock.view_location_form"/>
            <field name="priority">1</field>
            <field name="arch" type="xml"> 
            <field name="location_id" position="replace">
                <h4>
                <field name="location_id"/>
                </h4>
            </field>
            </field>
        </record>  

        <record id="view_batch_movement_wh" model="ir.ui.view">
            <field name="name">batch.movement.wh.form</field>
            <field name="model">batch.movement</field>
            <field eval="15" name="priority"/>
            <field name="arch" type="xml">
                <form string="Batch Move" edit="false">
                    <header>
                        <button name="action_confirm" states="process"  string="Process" type="object" class="oe_highlight" context="{'res_id': active_id}"/>
                    </header>
                        <sheet>
                            <group>
                            <field name="source_location" options="{'create': false, 'create_edit': false}"/>
                            <field name="destination_location" options="{'create': false, 'create_edit': false}"/>
                            <field name="name"/>
                            <field name="state" invisible='1'/>
                            <field name="scan" placeholder="scan bar code" on_change="onchange_scan_product(name,scan,creation_date,source_location,destination_location,context)" context="{'res_id': active_id}"/>
                            <field name="creation_date"/>
                            <field name="move_id">
                                <tree string="Extra Addresses" editable="bottom">
                                    <field name="product_id"/>
                                    <field name="product_size"/>
                                    <field name="product_uom_qty"/>
                                </tree>
                            </field>            
                            </group>
                        </sheet>
                </form>
            </field>
        </record>



        <record id="action_warehouse_batch_move1" model="ir.actions.act_window">
            <field name='name'>Batch Movement</field>
            <field name='res_model'>batch.movement</field>
            <field name="view_id" ref="view_batch_movement_wh"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>form,tree</field>
            <!-- <field name='domain'>[('source_location','=',27)]</field> -->

            
        </record>





<!-- inventory bin -->

        <record id="view_good_bin_wh_form" model="ir.ui.view">
            <field name="name">bins.to.sync.view.form</field>
            <field name="model">bins.to.sync</field>
            <field eval="15" name="priority"/>
            <field name="arch" type="xml">
                <form string="Bins To Sync">
                        <sheet>
                            <group>
                                <field name= "name" widget="selection" options="{'create': false, 'create_edit': false}"/>
                                <field name="to_sync"/>
                            </group>
                        </sheet>
                </form>
            </field>
        </record>





        <record id="view_good_bin_wh_tree" model="ir.ui.view">
            <field name="name">bins.to.sync.view.tree</field>
            <field name="model">bins.to.sync</field>
            <field eval="15" name="priority"/>
            <field name="arch" type="xml">
                <tree string="Bins To Sync" edit="false">
                     <field name= "name" widget="selection" options="{'create': false, 'create_edit': false}"/>
                      <field name="to_sync"/>
                </tree>
            </field>
        </record>



        <record id="action_warehouse_binstosync" model="ir.actions.act_window">
            <field name='name'>Inventory Locations To Sync</field>
            <field name='res_model'>bins.to.sync</field>
            <field name="view_id" ref="view_good_bin_wh_tree"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>form,tree</field>
        </record>

        <menuitem action="action_warehouse_binstosync" id="menu_warehouse_binstosync" parent="menu_location_structure" name="Bins To Sync" groups="group_voylla_warehouse_user"/>      


        <menuitem action="action_warehouse_batch_move1" id="menu_warehouse_batch_move" parent="menu_move_product" name="Move Products" groups="group_voylla_warehouse_user"/>      


    </data>
</openerp>

                   

